Bug 1828188 - dasbus.error.DBusError: cannot initialize a disk that has partitions
Summary: dasbus.error.DBusError: cannot initialize a disk that has partitions
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:068bb41afdd91a43c0d59f41980...
: 1825067 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-27 09:18 UTC by lnie
Modified: 2020-09-08 21:20 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-29 11:23:19 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (982.83 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: anaconda.log (16.61 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: dbus.log (2.63 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: dnf.librepo.log (1.30 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: environ (637 bytes, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: lorax-packages.log (24.72 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: lsblk_output (1.68 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: nmcli_dev_list (1.60 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: os_info (756 bytes, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: program.log (7.52 KB, text/plain)
2020-04-27 09:18 UTC, lnie
no flags Details
File: storage.log (72.27 KB, text/plain)
2020-04-27 09:19 UTC, lnie
no flags Details
File: syslog (446.21 KB, text/plain)
2020-04-27 09:19 UTC, lnie
no flags Details
File: packaging.log (8.32 KB, text/plain)
2020-04-27 09:19 UTC, lnie
no flags Details

Description lnie 2020-04-27 09:18:17 UTC
Version-Release number of selected component:
anaconda-33.11

The following was filed automatically by anaconda:
anaconda 33.11 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.8/site-packages/dasbus/client/handler.py", line 498, in _handle_method_error
    raise exception from None
  File "/usr/lib/python3.8/site-packages/dasbus/client/handler.py", line 476, in _get_method_reply
    return self._handle_method_error(error)
  File "/usr/lib/python3.8/site-packages/dasbus/client/handler.py", line 444, in _call_method
    return self._get_method_reply(
  File "/usr/lib64/python3.8/site-packages/pyanaconda/ui/gui/spokes/custom_storage.py", line 297, in refresh
    self._device_tree = STORAGE.get_proxy(self._partitioning.GetDeviceTree())
  File "/usr/lib64/python3.8/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 427, in _on_spoke_clicked
    spoke.refresh()
  File "/usr/lib64/python3.8/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 470, in spoke_done
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
  File "/usr/lib64/python3.8/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 81, in on_back_clicked
    self.main_window.current_action.spoke_done(self)
  File "/usr/lib64/python3.8/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 906, in _skip_to_spoke
    NormalSpoke.on_back_clicked(self, None)
  File "/usr/lib64/python3.8/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 837, in on_back_clicked
    self._skip_to_spoke("CustomPartitioningSpoke")
dasbus.error.DBusError: cannot initialize a disk that has partitions

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-rawh rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
hawkey.log:     INFO 4月-27 09:17:06 === Started libdnf-0.47.0 ===
kernel:         5.7.0-0.rc2.20200422git18bf34080c4c.1.fc33.x86_64
product:        Fedora
release:        Fedora release 33 (Rawhide)
release_type:   pre-release
type:           anaconda
version:        rawhide

Comment 1 lnie 2020-04-27 09:18:28 UTC
Created attachment 1682074 [details]
File: anaconda-tb

Comment 2 lnie 2020-04-27 09:18:31 UTC
Created attachment 1682075 [details]
File: anaconda.log

Comment 3 lnie 2020-04-27 09:18:34 UTC
Created attachment 1682076 [details]
File: dbus.log

Comment 4 lnie 2020-04-27 09:18:37 UTC
Created attachment 1682077 [details]
File: dnf.librepo.log

Comment 5 lnie 2020-04-27 09:18:41 UTC
Created attachment 1682078 [details]
File: environ

Comment 6 lnie 2020-04-27 09:18:45 UTC
Created attachment 1682079 [details]
File: lorax-packages.log

Comment 7 lnie 2020-04-27 09:18:47 UTC
Created attachment 1682080 [details]
File: lsblk_output

Comment 8 lnie 2020-04-27 09:18:51 UTC
Created attachment 1682081 [details]
File: nmcli_dev_list

Comment 9 lnie 2020-04-27 09:18:54 UTC
Created attachment 1682082 [details]
File: os_info

Comment 10 lnie 2020-04-27 09:18:57 UTC
Created attachment 1682083 [details]
File: program.log

Comment 11 lnie 2020-04-27 09:19:02 UTC
Created attachment 1682084 [details]
File: storage.log

Comment 12 lnie 2020-04-27 09:19:09 UTC
Created attachment 1682085 [details]
File: syslog

Comment 13 lnie 2020-04-27 09:19:12 UTC
Created attachment 1682086 [details]
File: packaging.log

Comment 14 lnie 2020-04-27 09:59:58 UTC
reproducer:
Boot Fedora-Server-dvd-x86_64-Rawhide-20200425.n.0.iso on a VM which has an system installed,
and click "Custom" button on the Installation Destination page,this affects SATA and SCSI Disk bus,but not VirtIO.

Comment 15 Fedora Blocker Bugs Application 2020-04-27 10:07:48 UTC
Proposed as a Blocker for 33-beta by Fedora user lnie using the blocker tracking app because:

 This affects:
When using both the installer-native and the blivet-gui-based custom partitioning flow, the installer must be able to Remove existing storage volumes

Comment 16 Vendula Poncova 2020-04-29 11:23:19 UTC

*** This bug has been marked as a duplicate of bug 1825067 ***

Comment 17 Oleg Samarin 2020-05-20 18:37:15 UTC
I receive the same error when I try to install Fedora on my desktop computer.

I don't have permissions to see https://bugzilla.redhat.com/show_bug.cgi?id=1825067

Coud you propose any workaround?

Comment 18 Vendula Poncova 2020-06-01 15:36:40 UTC
(In reply to Oleg Samarin from comment #17)
> I receive the same error when I try to install Fedora on my desktop computer.
> 
> I don't have permissions to see
> https://bugzilla.redhat.com/show_bug.cgi?id=1825067
> 
> Coud you propose any workaround?

Hi, I have added you to the bug. Basically, it looks like an issue in kernel. It might help to clear the disks before the installation.

Comment 19 Vendula Poncova 2020-09-03 13:48:43 UTC
Let's open this bug again and mark the private one as a duplicate, so this bug can be proposed as a blocker.

From vtrefny:

There are currently some problems with partitions in rawhide and possibly also in F32. Basically it is possible that partitions are not discovered by kernel after boot (meaning no nodes in /dev and no records in sysfs) so we don't add partitions to devicetree during reset. But after running some parted checks the partitions magically appears, that's why device.format.partitions works (this is list of parted partitions, not "devicetree partitions"). Generally this should never happen and your original check should always work so no change is needed.

Reassigning to kernel.

Comment 20 Vendula Poncova 2020-09-03 13:50:22 UTC
*** Bug 1825067 has been marked as a duplicate of this bug. ***

Comment 21 Kamil Páral 2020-09-03 14:48:41 UTC
Does anyone have a reliable reproducer for this problem? Is this related to some particular partitioning layout? Bug 1825067 speaks about an mdraid, is that required to hit this, does anyone know?

Comment 22 Chris Murphy 2020-09-08 05:38:31 UTC
From attached syslog:
09:16:22,690 NOTICE kernel:Linux version 5.7.0-0.rc2.20200422git18bf34080c4c.1.fc33.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 10.0.1 20200420 (Red Hat 10.0.1-0.12) (GCC), GNU ld version 2.34-3.fc33) #1 SMP Wed Apr 22 17:23:09 UTC 2020

This kernel is too old to be considered for a blocker.

Comment 23 Chris Murphy 2020-09-08 07:03:35 UTC
Using a SCSI disk instead of virtio, boot and install using Fedora-Workstation-Live-x86_64-33-20200903.n.0.iso. I'm unable to reproduce the problem, installation succeeds without errors, and reboots without errors.

Comment 24 Lukas Ruzicka 2020-09-08 08:33:28 UTC
Using a SATA disk instead of virtio, boot and install using Fedora-Server-dvd-x86_64-33-20200906.n.0.iso. Everything works as expected. The Custom choice lets me reassign (or delete) any previous installations and go ahead with a new installation which boots successfully.

Comment 25 lnie 2020-09-08 09:05:26 UTC
I'm not able to reproduce this bug any more with the latest Fedora-Server-x86_64-33-20200906.n.0 .

Comment 26 Adam Williamson 2020-09-08 16:56:28 UTC
Should we just close this? it doesn't seem like anyone can reproduce it at present.

Comment 27 Geoffrey Marr 2020-09-08 21:16:15 UTC
Discussed during the 2020-09-10 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker" was made as there's no indication this bug is still present in current F33 (or Rawhide), the reporter tried and cannot reproduce again, and neither can anyone else. It should probably be closed, but we definitely reject it as a blocker for now.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-09-08/f33-blocker-review.2020-09-08-16.00.txt

Comment 28 Geoffrey Marr 2020-09-08 21:20:18 UTC
*Discussed during the 2020-09-08 blocker review meeting


Note You need to log in before you can comment on or make changes to this bug.